View Issue Details

IDProjectCategoryLast Update
0020595AI War 2[All Projects] Bug - GameplayOct 31, 2018 10:43 am
ReporterHeartHunter7Assigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.803 The New Attack-Move 
Fixed in Version0.806 Sabre Company 
Summary0020595: Unnecessary Nanocaust Text after game loss
DescriptionAfter win the game, i lost home station and got this message from Nanocousts.
TagsNo tags attached.

Activities

HeartHunter7

Oct 17, 2018 8:28 am

reporter  

ArcenDebugLog.txt (1,292,360 bytes)
20181017152512_1.jpg (468,629 bytes)

BadgerBadger

Oct 17, 2018 11:14 am

manager   ~0050128

Nanocaust.findHumanKing: No human king found, but game has not been won!

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <e246b21466884552849c6c60e959ea33>:0
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <e246b21466884552849c6c60e959ea33>:0
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <e246b21466884552849c6c60e959ea33>:0
  at Arcen.AIW2.External.BadgerFactionUtilityMethods.findHumanKing () [0x00000] in <f8aa7707fe1d463085683fbf6c419ba7>:0
  at Arcen.AIW2.External.SpecialFaction_Nanocaust.DoPerSecondLogic_Stage3Main_OnMainThread (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <f8aa7707fe1d463085683fbf6c419ba7>:0
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__2 (Arcen.AIW2.Core.Faction faction) [0x00000] in <2e32a638617d4ae3aa4bdcc6d53127f8>:0
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00000] in <2e32a638617d4ae3aa4bdcc6d53127f8>:0
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <2e32a638617d4ae3aa4bdcc6d53127f8>:0
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <2e32a638617d4ae3aa4bdcc6d53127f8>:0
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <f8aa7707fe1d463085683fbf6c419ba7>:0

Dominus Arbitrationis

Oct 29, 2018 5:12 pm

administrator   ~0050375

Why do we even have this error? If there is no human king, the game should default to a lost state. It seems that it processes the Nanocaust code before it changes the conclusion type.

HeartHunter7

Oct 31, 2018 5:16 am

reporter   ~0050395

I killed AI home Station, and after a few minutes Wormhole Invasion killed my Main Station.

Dominus Arbitrationis

Oct 31, 2018 8:11 am

administrator   ~0050396

Do you have a save to replicate this with?

HeartHunter7

Oct 31, 2018 9:56 am

reporter   ~0050400

yes

22.save (2,472,809 bytes)
22.savemet (44 bytes)

BadgerBadger

Oct 31, 2018 10:43 am

manager   ~0050401

This error message should no longer happen; if it does then it indicates a problem

Issue History

Date Modified Username Field Change
Oct 17, 2018 8:28 am HeartHunter7 New Issue
Oct 17, 2018 8:28 am HeartHunter7 File Added: 20181017152512_1.jpg
Oct 17, 2018 8:28 am HeartHunter7 File Added: ArcenDebugLog.txt
Oct 17, 2018 10:45 am BadgerBadger Summary Text error => Unnecessary Nanocaust Text after game loss
Oct 17, 2018 11:14 am BadgerBadger Note Added: 0050128
Oct 24, 2018 11:47 am Dune Assigned To => x4000Bughunter
Oct 24, 2018 11:47 am Dune Status new => acknowledged
Oct 29, 2018 5:12 pm Dominus Arbitrationis Note Added: 0050375
Oct 31, 2018 5:16 am HeartHunter7 Note Added: 0050395
Oct 31, 2018 8:11 am Dominus Arbitrationis Note Added: 0050396
Oct 31, 2018 9:56 am HeartHunter7 File Added: 22.save
Oct 31, 2018 9:56 am HeartHunter7 File Added: 22.savemet
Oct 31, 2018 9:56 am HeartHunter7 Note Added: 0050400
Oct 31, 2018 10:43 am BadgerBadger Status acknowledged => resolved
Oct 31, 2018 10:43 am BadgerBadger Resolution open => fixed
Oct 31, 2018 10:43 am BadgerBadger Fixed in Version => 0.806 Sabre Company
Oct 31, 2018 10:43 am BadgerBadger Note Added: 0050401